/*
 * 
 * Copyright 2005 Sun Microsystems, Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * 	http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */
package com.sun.jini.constants;

/**
 * Various constants useful in calculating times.
 *
 * @author Sun Microsystems, Inc.
 *
 */
public interface TimeConstants {
    /** Tics per second. */
    long SECONDS	= 1000;

    /** Tics per minute. */
    long MINUTES	= 60 * SECONDS;

    /** Tics per hour. */
    long HOURS		= 60 * MINUTES;

    /** Tics per day. */
    long DAYS		= 24 * HOURS;
}
