/*
 * 
 * Copyright 2005 Sun Microsystems, Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * 	http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */

package com.sun.jini.phoenix;

import java.rmi.activation.ActivationGroupDesc;

/**
 * Interface for policy objects to control what {@link ActivationGroupDesc}
 * instances can be used.
 *
 * @author Sun Microsystems, Inc.
 * 
 * @since 2.0
 */
public interface GroupPolicy {
    /**
     * Checks if the caller is permitted to use the specified group descriptor.
     *
     * @param desc group descriptor
     * @throws java.security.AccessControlException if the caller is not
     * permitted to use the specified group descriptor
     */
    void checkGroup(ActivationGroupDesc desc);
}
